/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.reference;

/**
 * This exception is thrown when there is a syntax error in compiling
 * an XPointer expression.
 * 
 * @author Ali Mehregani
 */
public class XPointerSyntaxException extends Exception
{
	/**
	 * The serial version UID
	 */
	private static final long serialVersionUID = -1994893125434534876L;

	
	/**
	 * Constructor
	 * @param message An message indicating the error
	 */
	public XPointerSyntaxException(String message)
	{
		super(message);
	}
	
}
